Bug 1226788 - [RFE] per-directory read-only access
Summary: [RFE] per-directory read-only access
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-01 06:07 UTC by Csaba Henk
Modified: 2018-11-13 22:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-13 22:25:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Csaba Henk 2015-06-01 06:07:50 UTC
Description of problem:

Implement per-directory read-only access and make it possible to configure through cli/gfapi.

Comment 1 Niels de Vos 2015-06-02 12:16:42 UTC
Could you explain why POSIX ACLs would not be sufficient? Maybe you can explain it best by the use-case you have.

What kind of API do you expect? What are the requirements on how/when the directory should be read-only? I guess this should be recursive as well?

Comment 2 Csaba Henk 2018-11-13 22:25:02 UTC
The use case we needed this feature for is not relevant any more, we can close the bug.


Note You need to log in before you can comment on or make changes to this bug.